Subject: Re: bug#36015: 26.2; Tramp fails with "Invalid base64 data".

From: Asif <[email-masked]>
Date: Fri, 31 May 2019 17:07:27 -0700

Hi Michael!

Thanks for your reply.
Turns out that I got rid of the "-vv" login args option for
the tramp method and it work fine now. I could not reproduce
the failure without the "-vv" login option. And yes I understood
your mentioning that tramp-gw-args is no long er support in
tramp 2.3 onwards. I just wanted to try to reproduce the failure
with incremental changes. Here is the tramp method I use. Essentially
the -2 option. Thanks for your help and time, Michael!

("ssh2x11"
 (tramp-login-program "ssh")
 (tramp-login-args
  (("-2")
   ("-l" "%u")
   ("-p" "%p")
   ("%c")
   ("-e" "none")
   ("-X")
   ("%h")))
 (tramp-async-args
  (("-q")))
 (tramp-remote-shell "/bin/sh")
 (tramp-remote-shell-login
  ("-l"))
 (tramp-remote-shell-args
  ("-c"))
 (tramp-gw-args
  (("-o" "GlobalKnownHostsFile=/dev/null")
   ("-o" "UserKnownHostsFile=/dev/null")
   ("-o" "StrictHostKeyChecking=no")
   ("-o" "ForwardX11=yes")))
 (tramp-default-port 22))
_
Asif

On Fri, May 31, 2019 at 1:17 AM Michael Albinus <[email-masked]>
wrote:

> Asif <[email-masked]> writes:
>
> Hi Asif,
>
> > Procedure:
> >
> > C-x d
> > /ssh2x11:USERNAME@HOSTNAME
> :/home/USERNAME/Projects/Koji/clearlinux/packages/systemd/results/
> >
> > g
> > <Moved to the 5MB large file name.>
> > RET
> > <I get minibuffer message: Invalid base64 data>
> >
> > The same works perfectly for Emacs 25.2.2 Tramp: 2.2.13.25.2
> > The same fails for Emacs: 26.2 Tramp: 2.3.5.26.2
>
> First question: Could you try to reproduce it with "emacs -Q", and Tramp
> method "ssh"?
>
> > Tramp method used:
> >
> > ("ssh2x11"
> >   (tramp-login-program "ssh")
> >   (tramp-login-args
> >    (("-2")
> >     ("-vv")
> >     ("-l" "%u")
> >     ("-p" "%p")
> >     ("%c")
> >     ("-e" "none")
> >     ("-X")
> >     ("%h")))
> >   (tramp-async-args
> >    (("-q")))
> >   (tramp-remote-shell "/bin/sh")
> >   (tramp-remote-shell-login
> >    ("-l"))
> >   (tramp-remote-shell-args
> >    ("-c"))
> >   (tramp-gw-args
> >    (("-o" "GlobalKnownHostsFile=/dev/null")
> >     ("-o" "UserKnownHostsFile=/dev/null")
> >     ("-o" "StrictHostKeyChecking=no")
> >     ("-o" "ForwardX11=yes")))
> >   (tramp-default-port 22))
>
> tramp-gw-args do not exist any longer in Tramp 2.3 (Emacs 26), you can
> remove them.
>
> And you won't need your own method at all, if you declare "ForwardX11 yes"
> in your ~/.ssh/config.
>
> > Tramp debug capture:
> >
> > ;; Emacs: 26.2 Tramp: 2.3.5.26.2 -*- mode: outline; -*-
> > ;; tramp-verbose 4
>
> Well, this doesn't give sufficient information. I would like to have
> tramp-verbose 6 at least (or tramp-verbose 10 for everything).
>
> And maybe you send the debug buffer as attachmnet? This would keep its
> structure, which is better for reading.
>
> Best regards, Michael.
>